multistate-0.8.0.4: like mtl's ReaderT / WriterT / StateT, but more than one contained value/type.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Control.Monad.Trans.MultiReader.Class

Contents

- MonadMultiReader class

Description

The multi-valued version of mtl's MonadReader

Synopsis

- class Monad m => MonadMultiReader a m where
  - mAsk :: m a

# MonadMultiReader class

class Monad m => MonadMultiReader a m where Source #

All methods must be defined.

The idea is: Any monad stack is instance of `MonadMultiReader a`, iff the stack contains a `MultiReaderT x` with a element of x.

Methods

mAsk Source #

Arguments

:: m a | Access to a specific type in the environment.

#### Instances

Instances details

(MonadTrans t, Monad (t m), MonadMultiReader a m) => MonadMultiReader a (t m) Source # |
Instance details Defined in Control.Monad.Trans.MultiReader.Class Methods mAsk :: t m a Source #
(Monad m, ContainsType a c) => MonadMultiReader a (MultiReaderT c m) Source # |
Instance details Defined in Control.Monad.Trans.MultiReader.Lazy Methods mAsk :: MultiReaderT c m a Source #
(Monad m, ContainsType a c) => MonadMultiReader a (MultiReaderT c m) Source # |
Instance details Defined in Control.Monad.Trans.MultiReader.Strict Methods mAsk :: MultiReaderT c m a Source #
(Monad m, ContainsType a r) => MonadMultiReader a (MultiRWST r w s m) Source # |
Instance details Defined in Control.Monad.Trans.MultiRWS.Lazy Methods mAsk :: MultiRWST r w s m a Source #
(Monad m, ContainsType a r) => MonadMultiReader a (MultiRWST r w s m) Source # |
Instance details Defined in Control.Monad.Trans.MultiRWS.Strict Methods mAsk :: MultiRWST r w s m a Source #